Index: uspace/drv/bus/usb/ohci/root_hub.c
===================================================================
--- uspace/drv/bus/usb/ohci/root_hub.c	(revision 153cc76acfecd18d9bb208e102fdfe6aa9926b08)
+++ uspace/drv/bus/usb/ohci/root_hub.c	(revision 827ec41a8ee988c81ee65c62bf4f583429654a68)
@@ -226,5 +226,5 @@
 		fibril_mutex_lock(&instance->guard);
 		assert(instance->unfinished_interrupt_transfer == NULL);
-		const uint16_t mask = create_interrupt_mask(instance);
+		uint16_t mask = create_interrupt_mask(instance);
 		if (mask == 0) {
 			usb_log_debug("No changes...\n");
@@ -257,5 +257,5 @@
 	if (instance->unfinished_interrupt_transfer) {
 		usb_log_debug("Finalizing interrupt transfer\n");
-		const uint16_t mask = create_interrupt_mask(instance);
+		uint16_t mask = create_interrupt_mask(instance);
 		interrupt_request(instance->unfinished_interrupt_transfer,
 		    mask, instance->interrupt_mask_size);
@@ -278,10 +278,10 @@
 
 	/* 7 bytes + 2 port bit fields (port count + global bit) */
-	const size_t size = 7 + (instance->interrupt_mask_size * 2);
+	size_t size = 7 + (instance->interrupt_mask_size * 2);
 	assert(size <= HUB_DESCRIPTOR_MAX_SIZE);
 	instance->hub_descriptor_size = size;
 
-	const uint32_t hub_desc = instance->registers->rh_desc_a;
-	const uint32_t port_desc = instance->registers->rh_desc_b;
+	uint32_t hub_desc = instance->registers->rh_desc_a;
+	uint32_t port_desc = instance->registers->rh_desc_b;
 
 	/* bDescLength */
@@ -394,5 +394,5 @@
 
 
-	const usb_device_request_setup_packet_t *request_packet =
+	usb_device_request_setup_packet_t *request_packet =
 	    (usb_device_request_setup_packet_t*)request->setup_buffer;
 
@@ -406,5 +406,5 @@
 			TRANSFER_END(request, EOVERFLOW);
 		} else {
-			const uint32_t data = instance->registers->rh_status &
+			uint32_t data = instance->registers->rh_status &
 			    (RHS_LPS_FLAG | RHS_LPSC_FLAG
 			        | RHS_OCI_FLAG | RHS_OCIC_FLAG);
@@ -420,9 +420,9 @@
 			TRANSFER_END(request, EOVERFLOW);
 		} else {
-			const unsigned port = request_packet->index;
+			unsigned port = request_packet->index;
 			if (port < 1 || port > instance->port_count)
 				TRANSFER_END(request, EINVAL);
 
-			const uint32_t data =
+			uint32_t data =
 			    instance->registers->rh_port_status[port - 1];
 			TRANSFER_END_DATA(request, &data, sizeof(data));
@@ -434,5 +434,5 @@
 			TRANSFER_END(request, EOVERFLOW);
 		} else {
-			static const uint16_t data =
+			uint16_t data =
 			    uint16_host2usb(USB_DEVICE_STATUS_SELF_POWERED);
 			TRANSFER_END_DATA(request, &data, sizeof(data));
@@ -455,5 +455,5 @@
 		} else {
 			/* Endpoints are OK. (We don't halt) */
-			static const uint16_t data = 0;
+			uint16_t data = 0;
 			TRANSFER_END_DATA(request, &data, sizeof(data));
 		}
@@ -480,7 +480,7 @@
 	assert(request);
 
-	const usb_device_request_setup_packet_t *setup_request =
+	usb_device_request_setup_packet_t *setup_request =
 	    (usb_device_request_setup_packet_t *) request->setup_buffer;
-	const uint16_t setup_request_value = setup_request->value_high;
+	uint16_t setup_request_value = setup_request->value_high;
 	switch (setup_request_value)
 	{
@@ -648,5 +648,5 @@
 	assert(request);
 
-	const usb_device_request_setup_packet_t *setup_request =
+	usb_device_request_setup_packet_t *setup_request =
 	    (usb_device_request_setup_packet_t *) request->setup_buffer;
 	switch (setup_request->request_type)
@@ -654,5 +654,5 @@
 	case USB_HUB_REQ_TYPE_SET_PORT_FEATURE:
 		usb_log_debug("USB_HUB_REQ_TYPE_SET_PORT_FEATURE\n");
-		const int ret = set_feature_port(instance,
+		int ret = set_feature_port(instance,
 		    setup_request->value, setup_request->index);
 		TRANSFER_END(request, ret);
@@ -686,5 +686,5 @@
 	assert(request);
 
-	const usb_device_request_setup_packet_t *setup_request =
+	usb_device_request_setup_packet_t *setup_request =
 	    (usb_device_request_setup_packet_t *) request->setup_buffer;
 
@@ -693,5 +693,5 @@
 	case USB_HUB_REQ_TYPE_CLEAR_PORT_FEATURE:
 		usb_log_debug("USB_HUB_REQ_TYPE_CLEAR_PORT_FEATURE\n");
-		const int ret = clear_feature_port(instance,
+		int ret = clear_feature_port(instance,
 		    setup_request->value, setup_request->index);
 		TRANSFER_END(request, ret);
@@ -753,5 +753,5 @@
 	usb_log_debug2("CTRL packet: %s.\n",
 	    usb_debug_str_buffer((uint8_t *) request->setup_buffer, 8, 8));
-	const usb_device_request_setup_packet_t *setup_request =
+	usb_device_request_setup_packet_t *setup_request =
 	    (usb_device_request_setup_packet_t *) request->setup_buffer;
 	switch (setup_request->request)
@@ -771,5 +771,5 @@
 		if (request->buffer_size == 0)
 			TRANSFER_END(request, EOVERFLOW);
-		static const uint8_t config = 1;
+		uint8_t config = 1;
 		TRANSFER_END_DATA(request, &config, sizeof(config));
 
